From a0677539f48597c4d71e5c66ad571581de9408bc Mon Sep 17 00:00:00 2001
From: Andrew Ruthven <andrew@etc.gen.nz>
Date: Wed, 30 Jul 2008 08:53:21 +1200
Subject: [PATCH] Hide any warning messages that come out of XML::LibXML.

XML::LibXML is very verbose about any little issues it encounters,
just hide them.

In this case this is to fix encountering an unknown unicode
character - &#xdefb; .
---
 bin/mythtv-status | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/bin/mythtv-status b/bin/mythtv-status
index 26901da..74892da 100755
--- a/bin/mythtv-status
+++ b/bin/mythtv-status
@@ -555,8 +555,15 @@ sub load_xml {
 
   clean_xml(\$status);
 
+  # Try and hide any error messages thar XML::LibXML insists on printing out.
+  open my $olderr, ">&STDERR";
+  open(STDERR, "> /dev/null") || die "Can't redirect stderr to /dev/null: $!";
+
   my $xml = eval { $parser->parse_string( $status ) };
 
+  close (STDERR);
+  open (STDERR, ">&$olderr");
+
   if ($@) {
     die "Failed to parse XML: $@\n";
   }
-- 
2.30.2